import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    // configTitleList: ['摄像头', '完美传感器', '激光雷达', '毫米波雷达', 'GPS'],
    configTitleList: ['摄像头', '完美传感器', '激光雷达', 'GPS'],
    // fileHost: 'http://10.12.10.70:8001', // 开发环境需要连开发服务器地址，上线后会用相对地址拼接fileUrl
    // fileHost: 'http://47.94.105.148', // 开发环境需要连开发服务器地址，上线后会用相对地址拼接fileUrl
    // fileHost: 'http://47.94.105.148:81', // 开发环境需要连开发服务器地址，上线后会用相对地址拼接fileUrl
    fileHost: 'http://47.94.105.148:80', // 开发环境需要连开发服务器地址，上线后会用相对地址拼接fileUrl
    fileUrl: '/simulation/resource/common/minio/preview',
    themeColor: '#3397FF',
    id: '',   //用户id
    username: '',  //用户名称
    roleCode: '',   //用户角色
    useType: '',   //独占类型
  },
  mutations: {
    getUserId(state, data){
      state.id = data
    },
    getUsername(state, data){
      state.username = data
    },
    getRoleCode(state, data){
      state.roleCode = data
    },
    getUseType(state, data){
      state.useType = data
    }
  },
  actions: {},
  modules: {},
});